# Aktuelle Kontodetails des Benutzers abrufen

Dieser Endpunkt ermöglicht es Ihnen, die Details des aktuell authentifizierten Benutzerkontos abzurufen.

## Endpunkt

```
GET /api/v1/account/
```

## Authentifizierung

Dieser Endpunkt erfordert die Authentifizierung mit einem JWT-Token.

## Anfrage

Es sind keine Anfrageparameter erforderlich.

## Antwort

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "Benutzername"
}
```

## Benutzerprofil (Erweiterte Informationen)

Für detailliertere Informationen zum Benutzerprofil können Sie verwenden:

```
GET /api/v1/me/
```

### Erweiterte Antwort

```json
{
  "id": "benutzername",
  "email": "benutzer@example.com",
  "name": "Benutzername",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "Unternehmen",
  "website": "https://example.com",
  "bio": "Benutzerbiografie",
  "team": [
    {
      "id": "team_id", 
      "name": "Teamname", 
      "image_url": "url", 
      "role": "admin"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## Fehlerantworten

| Statuscode | Beschreibung                                                                    |
| ---------- | ------------------------------------------------------------------------------- |
| 401        | Unautorisiert - Ungültige oder fehlende Authentifizierungsanmeldeinformationen  |
| 403        | Verboten - Der Benutzer hat keine Berechtigung, auf diese Ressource zuzugreifen |
| 500        | Interner Serverfehler - Etwas ist auf dem Server schiefgelaufen                 |

## Anwendungsbeispiel

### Verwendung von cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### Verwendung von JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### Verwendung von Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/retrieve-current-user-account-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
